<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registracijska Forma</title>
    <style>
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            background-color: #f5f5f5;
            font-family: Arial, Helvetica, sans-serif;
            font-size: larger;
        }
        h2{
            margin-top: 0px;
        }

        .registration-container {
            border: 1px solid #ddd;
            padding: 60px;
            border-radius: 5px;
            background-color: white;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        .registration-form {
            display: flex;
            flex-direction: column;
            width: 400px;
        }

        .form-group {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 15px;
        }

        .form-group label {
            flex-basis: 40%;
            text-align: right;
            margin-right: 10px;
        }

        .form-group input {
            flex-basis: 60%;
            padding: 8px;
            border: 1px solid #ddd;
            border-radius: 4px;
            box-sizing: border-box;
        }

        button {
            padding: 10px;
            border: none;
            border-radius: 4px;
            background-color: navy;
            color: white;
            cursor: pointer;
        }

        button:hover {
            background-color: darkblue;
        }
    </style>
</head>

<body>
    <div class="registration-container">
        <form class="registration-form">
            <h2>Registracija</h2>
            <div class="form-group">
                <label for="email">Email:</label>
                <input type="email" id="email" name="email">
            </div>
            <div class="form-group">
                <label for="username">Korisničko ime:</label>
                <input type="text" id="username" name="username">
            </div>
            <div class="form-group">
                <label for="password">Lozinka:</label>
                <input type="password" id="password" name="password">
            </div>
            <div class="form-group">
                <label for="confirm-password">Potvrdi lozinku:</label>
                <input type="password" id="confirm-password" name="confirm-password">
            </div>
            <button type="submit">Registriraj se</button>
        </form>
    </div>
</body>

</html>